Skip to main content
`Ctrl`+`K`

# DSReallocate

Reallocates memory for internal storage or matrices in `DS`, keeping the previously set data.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSReallocate(DS ds,PetscInt ld)

Logically Collective

## Input Parameters

- ds - the direct solver context

- ld - new leading dimension

## Notes

The new leading dimension must be larger than the previous one. The relevant data previously set is copied over to the new data structures.

This operation is not available in all `DS` types.

## See Also

DS: Direct Solver (or Dense System), `DSAllocate()`

## Level

developer

## Location

src/sys/classes/ds/interface/dsbasic.c

## Implementations

DSReallocate_GSVD() in src/sys/classes/ds/impls/gsvd/dsgsvd.c
DSReallocate_HEP() in src/sys/classes/ds/impls/hep/dshep.c
DSReallocate_HSVD() in src/sys/classes/ds/impls/hsvd/dshsvd.c
DSReallocate_NHEP() in src/sys/classes/ds/impls/nhep/dsnhep.c
DSReallocate_SVD() in src/sys/classes/ds/impls/svd/dssvd.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages